Package org.apache.sysds.runtime.transform.tokenize

## Class Token

- java.lang.Object
- - org.apache.sysds.runtime.transform.tokenize.Token

    public class Token
    extends Object

### Nested Class Summary

Nested Classes
`static class` `Token.SubToken`

### Field Summary

Fields
`static String` `EMPTY_TOKEN`

### Constructor Summary

Constructors
`Token​(String token, long startIndex)`
`Token​(List<String> tokens, List<Long> startIndex)`
`Token​(List<Token> subList)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getNumSubTokens()`
`long` `getStartIndex​(int subTokenIndex)`
`int` `hashCode()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`equals, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### EMPTY_TOKEN

    public static final String EMPTY_TOKEN

See Also:
  Constant Field Values

### Constructor Detail

#### Token

    public Token​(String token,
                 long startIndex)

#### Token

    public Token​(List<String> tokens,
                 List<Long> startIndex)

#### Token

    public Token​(List<Token> subList)

### Method Detail

#### getNumSubTokens

    public int getNumSubTokens()

#### getStartIndex

    public long getStartIndex​(int subTokenIndex)

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`